Documentation Index

Fetch the complete documentation index at: https://help.commbox.io/llms.txt

Use this file to discover all available pages before exploring further.

External CSAT

Prev Next
Post
/objects/{objectId}/survey

This API enables Organizations to import external customer satisfaction surveys (CSAT) into the CommBox platform, attaching them to existing conversations and tagging the conversation appropriately.

You'll need to open a designated channel in the Customer Satisfaction Survey Module. The channel ID will be the value for the surveyStreamId parameter in the API request. Click here to learn more.

Note:
- The example below is for a single-question survey. Multiple-question arrays are also supported.
- The first answer always represents the highest satisfaction score (100%), while the last answer represents the lowest satisfaction score (0%). Scores for intermediate answers are distributed evenly between these values.

Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Path parameters
OBJECT_ID
Required

A CommBox generated number for the conversation

Body parameters
Expand All
object
data
object
surveyStreamId
Number (int64)

The ID of the Customer Satisfaction Survey channel

Example317112
questionId
string

Unique identifier of the survey question

Max length30
Exampleq4_quality
questionText
string

The survey question was presented to the customer

Max length2000
ExampleHow would you rate the quality of our service?
answerOptions
Array of string

Available answer choices for the user to select from

Max items40
Example[ [ "Great!", "OK", "Could be better" ] ]
string
selectedAnswer
string

The answer selected by the customer

Max length500
Example1
Responses
200

OK

object
status
integer
Example200
description
string
ExampleOperation successful
response_time
string
Example2024-08-06T07:51:52.2581942Z
data
string
Example
400

Bad Request - The request could not be understood by the server. Incoming parameters might not be valid

object
status
integer
Example400
description
string
ExampleBad Request
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
404

Not found - The requested resource is not found

object
status
integer
Example404
description
string
ExampleNot Found
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
429

Too Many Requests - Too many requests have been made in a short period of time (Throttling)

object
status
integer
Example429
description
string
ExampleToo Many Requests
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z
500

Server Error - The server could not return the representation due to an internal server error

object
status
integer
Example500
description
string
ExampleInternal Server Error
response_time
string (date-time)
Example2025-02-06T07:51:52.258Z